- various cosmos fixes - requires cosmos app >=2.14 - added `mustUpgrade` and `shouldUpgrade` in live-common/lib/apps